# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=5

inherit subversion cmake-utils eutils

DESCRIPTION="xc3sprog is a suite of utilities for programming Xilinx FPGAs, CPLDs, and EEPROMs."
HOMEPAGE="http://xc3sprog.sourceforge.net/"

ESVN_REPO_URI="svn://svn.code.sf.net/p/xc3sprog/code/trunk"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""

DEPEND="
>=dev-embedded/libftd2xx-1.0.0
dev-embedded/libftdi"
RDEPEND="${DEPEND}"

src_prepare() {
	epatch "${FILESDIR}/${PN}-vcsversion.patch"

	cmake-utils_src_prepare
}
