EAPI=5

inherit git-2

EGIT_REPO_URI="https://github.com/fanglingsu/vimb.git"
EGIT_PROJECT="vimb"

DESCRIPTION="A minimal web browser that behaves like the Vimperator plugin for Firefox"
HOMEPAGE="http://fanglingsu.github.io/vimb/"

LICENSE="GPL3"
SLOT="0"

IUSE="gtk3"

RDEPEND="net-libs/libsoup:2.4
	!gtk3? (
		x11-libs/gtk+:2
		net-libs/webkit-gtk:2 )
	gtk3? (
		x11-libs/gtk+:3
		net-libs/webkit-gtk:3 )
	x11-libs/libX11"

DEPEND="${RDEPEND}
	dev-lang/perl
	virtual/pkgconfig"

S=${WORKDIR}/${PN}

src_compile() {
	if use gtk3; then
		emake GTK3=1
	else
		emake
	fi
}
